package com.xy.dto;

import lombok.Data;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 公众号返回参数封装
 */
@XmlRootElement(name = "xml")
@XmlAccessorType(XmlAccessType.FIELD)
@Data
public class WxServiceMsgDto {

    @XmlElement(name = "事件类型，scancode_push")
    private String event;

    @XmlElement(name = "Content")
    private String content;

    @XmlElement(name = "消息类型，event")
    private String msgType;

    @XmlElement(name = "扫描类型，一般是qrcode")
    private String ScanType;

    @XmlElement(name = "开发者 微信号")
    private String toUserName;

    @XmlElement(name = "事件KEY值，由开发者在创建菜单时设定")
    private String eventKey;

    @XmlElement(name = "CreateTime")
    private String createTime;

    /**
     * fromUserName为关注人的openId
     **/
    @XmlElement(name = "FromUserName")
    private String fromUserName;

}
